<?php
/**
 * Api.
 *
 * @package PQAD
 */

declare(strict_types=1);

namespace PQAD\Entities;

/**
 * Api class.
 */
class Pqad_Api {

	const CALLBACK_URL               = 'wc-ame-digital/callback';
	const REST_ROUTE                 = 'wc-ame-digital/v1';
	const HOMOLOG_URL                = 'https://api.hml.amedigital.com';
	const PROD_URL                   = 'https://api.amedigital.com';

	public static function order_url() {
		return self::$create_order_url;
	}

	public static function callback_url() {
		return get_site_url() . '/wc-api/wc-ame-digital/callback';
	}

	public static function translation_api_order_status( $status )
	{
		switch ( $status ) {
			case $status === 'ERROR':
				return 'error';
				break;
			case $status === 'CREATED':
				return 'created';
				break;
			case $status === 'HOLD':
				return 'hold';
				break;
			case $status === 'DENIED':
				return 'denied';
				break;
			case $status === 'AUTHORIZED':
				return 'authorized';
				break;
			case $status === 'CANCELED':
				return 'canceled';
				break;
			case $status === 'REFUNDED':
				return 'refunded';
				break;
			case $status === 'SUCCESS':
				return 'success';
				break;
		}
	}

	public static function translation_api_order_type( $type )
	{
		switch ( $type ) {
			case $type === 'AUTHORIZATION':
				return 'authorization';
				break;
			case $type === 'REFUND':
				return 'refund';
				break;
			case $type === 'HOLD':
				return 'hold';
				break;
			case $type === 'DENIED':
				return 'denied';
				break;
			case $type === 'AUTHORIZED':
				return 'authorized';
				break;
			case $type === 'CANCELED':
				return 'canceled';
				break;
			case $type === 'REFUNDED':
				return 'refunded';
				break;
			case $type === 'SUCCESS':
				return 'success';
				break;
		}
	}
}
